
set echo on
set lines 165
col plan_plus_exp format a90

set autotrace on

set timing on

SELECT region
,      total_sales
FROM  (
       SELECT region
       ,      NVL(SUM(order_amt),0) AS total_sales
       FROM   sales
       GROUP  BY
              region
      ) ilv
WHERE total_sales > (SELECT SUM(order_amt)/3 AS one_third_sales
                     FROM   sales);


WITH regional_sales AS (
   SELECT region
   ,      NVL(SUM(order_amt),0) AS total_sales
   FROM   sales
   GROUP  BY
          region
   )
SELECT region
,      total_sales
FROM   regional_sales
WHERE  total_sales > (SELECT SUM(total_sales)/3 AS one_third_sales
                      FROM   regional_sales);


set autotrace off
set timing off


