
set echo on

EXPLAIN PLAN SET statement_id = 'SQ_FCT'
FOR
   WITH regional_sales AS (
      SELECT region
      ,      NVL(SUM(order_amt),0) AS total_sales
      FROM   sales
      GROUP  BY
             region
      )
   SELECT region
   ,      total_sales
   FROM   regional_sales
   WHERE  total_sales > (SELECT SUM(total_sales)/3 AS one_third_sales
                         FROM   regional_sales);

SELECT plan_table_output
FROM   TABLE(DBMS_XPLAN.DISPLAY('PLAN_TABLE','SQ_FCT'));


