
set echo on

col region format a10

WITH regional_sales AS (
        SELECT region
        ,      NVL(SUM(order_amt),0) AS total_sales
        FROM   sales
        GROUP  BY
               region
        )
,    top_regions AS (
        SELECT region
        FROM   regional_sales
        WHERE  total_sales > (SELECT SUM(total_sales)/3 AS one_third_sales
                              FROM   regional_sales)
        )
SELECT region
,      product
,      COUNT(*)       AS product_units
,      SUM(order_amt) AS product_sales
FROM   sales
WHERE  region IN (SELECT region FROM top_regions)
GROUP  BY
       region
,      product;



